Description

The usual way to start CoCoA-5 is to run the script cocoa5.

This script runs some quick basic checks then calls the true executable (CoCoAInterpreter) with sensible args.

If any basic check fails then an error message is printed, and the script exits (with non-zero exit code).

The script currently sleeps for a short while after printing the error message, but before exiting.

How long should it sleep for?  (Currently 1 sec)

Related issues:

Related to CoCoA-5 - Design #1348: cocoa5 script for releases Closed 23 Oct 2019

History

#1 - 25 Oct 2019 13:39 - John Abbott

- Related to Design #1348: cocoa5 script for releases added

#2 - 25 Oct 2019 14:01 - John Abbott

- Status changed from New to In Progress

- % Done changed from 0 to 10

A slightly previous version of the script would sleep for 1 sec, print error mesg, sleep for 1 sec, then exit.

An advantage of sleeping before printing the error message is that if CoCoA-5 is started inside emacs then the line sent to emacs appears in the

buffer before the error message (and so does not clutter the error message).

A disadvantage is that one has to wait a second before seeing the error message (even if running CoCoA not inside emacs).

It is perhaps an unusual use-case, if one starts an xterm with CoCoA inside (that is xterm -e ./cocoa5) then the window closes just 1 sec after the

error mesg is printed out -- this is not enough time to read the error mesg.  After a few quick trials I think one needs at least 3 seconds to read the

error message.

Should I change the script so that it does this: sleep 1; print err mesg; sleep 3; exit?

#3 - 25 Oct 2019 14:07 - John Abbott

- Priority changed from Normal to Low

One could argue that this is relatively unimportant for normal users (i.e. those who download CoCoA-5) since they should never encounter any

problems which the script checks for.  But then again, maybe someone will discover a bug in our release mechanism, and then it would be handy for
us to receive useful feedback.

#4 - 25 Oct 2019 16:17 - Anna Maria Bigatti

Good point!  I think we should set the same timings in the installation script (for Mac it's called ConfigEmacs)

#5 - 25 Oct 2019 18:06 - Anna Maria Bigatti

- % Done changed from 10 to 20

updated accordingly the scripts in release-files/

#6 - 25 Oct 2019 18:27 - Anna Maria Bigatti

Added sleep to ConfigEmacs mac and linux

#7 - 25 Oct 2019 18:28 - Anna Maria Bigatti

- Subject changed from cocoa5 (launch) script to cocoa5 (launch) script: sleep time

#8 - 24 Nov 2019 12:46 - John Abbott

- Status changed from In Progress to Resolved

- Assignee set to John Abbott

I have just tried xterm -e ./cocoa5, and now prefer a 4 second wait after printing the message (perhaps it should be even longer than 4s?).  It also

prints a BEL (i.e. a ctrl-G which causes a beep sound when printed).

I'll check in next time I have CVS active.

#9 - 09 Jan 2020 11:35 - John Abbott

- % Done changed from 20 to 90

- Estimated time set to 1.66 h

This has been working fine for about 2 months; so moving to feedback.

#10 - 13 Feb 2020 15:40 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 90 to 100
